Name:           fedora-audio-control
Version:        1.0
Release:        1%{?dist}
Summary:        GUI app to control audio servers 
Group:          Applications/Multimedia 
License:        GPLv3+
Source0:        http://jvlomax.fedorapeople.org/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  PyQt4-devel
BuildRequires:  desktop-file-utils
Requires:       PyQt4
Requires:       hicolor-icon-theme, python

 
%description
Fedora audio control is a GUI application to turn pulseaudio and the JACK audio
server on and off.

%prep
%setup -q

%install
install -d %{buildroot}%{_bindir}
install -p -m 755 %{name}.py %{buildroot}%{_bindir}/%{name}

mkdir -p  %{buildroot}%{_datadir}/%{name}
install -p -m 755 *.py* %{buildroot}%{_datadir}/%{name}

mkdir -p %{builroot}%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir %{buildroot}%{_datadir}/applications \
 dist/%{name}.desktop

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
mv dist/application-default-icon.png \
  %{buildroot}%{_datadir}/icons/hicolor/48x48/apps

%post
touch --no-create %{_datadir}/icons/hicolor || :
  
%postun
if [$1 -eq 0 ] ; then
   /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
   /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/%{name}/fedora-audio-control.py
%{_datadir}/%{name}/jackController.py
%{_datadir}/%{name}/jackDbusController.py
%{_datadir}/%{name}/main_ui.py
%{_datadir}/%{name}/pulseController.py
%{_datadir}/%{name}/util.py
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/application-default-icon.png

%changelog
* Wed Aug 15 2012 Jørn Lomax <northlomax@gmail.com> - 1.0-1
- create.
